# Add or remove agent bot

URL: https://www.inclamo.com/docs/api/application/inboxes/updateAgentBot

> To add an agent bot pass agent_bot id, to remove agent bot from an inbox pass null

## POST /api/v1/accounts/{account_id}/inboxes/{id}/set_agent_bot

Add or remove agent bot

To add an agent bot pass agent_bot id, to remove agent bot from an inbox pass null

Base URL: https://helpdesk.inclamo.com

### Parameters

- `account_id` (path, required, integer): The numeric ID of the account
- `id` (path, required, number): ID of the inbox

### Request body

`application/json` (required)

```json

{
  "type": "object",
  "required": [
    "agent_bot"
  ],
  "properties": {
    "agent_bot": {
      "type": "number",
      "description": "Agent bot ID",
      "example": 1
    }
  }
}

```

### Responses

- 204: Success
- 403: Access denied
- 404: Inbox not found, Agent bot not found

Schemas referenced with $ref are defined in the OpenAPI file: https://www.inclamo.com/docs/api/openapi.json
